/*******************************************************************************
  Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This file contains the "main" function for a project.

  Description:
    This file contains the "main" function for a project.  The
    "main" function calls the "SYS_Initialize" function to initialize the state
    machines of all modules in the system
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes


#define SWITCH_PRESSED_STATE            0   // Active LOW switch



int LED;

//RB0̕ω݂ɌWR[obN֐`܂
void controlLED(GPIO_PIN pin, uintptr_t context)
{
//    if(SW1_Get() == SWITCH_PRESSED_STATE) //SW1(RB0)Ăꍇ
    if(PORTBbits.RB0 == 0)                  //SW1(RB0)Ăꍇ
    {
        if(LED == 0)
        {
            LED = 1;
            LED1_Set();             //LED1@_
        //    LATGbits.LATG15 = 1;  //LED1@_
            
        }
        else
        {
            LED = 0;
            LED1_Clear();           //LED1@
        //    LATGbits.LATG15 = 0;  //LED1@
            
        }
    }
}


// *****************************************************************************
// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************
// *****************************************************************************

int main ( void )
{
      /* Initialize all modules */
    SYS_Initialize ( NULL );

    GPIO_PinInterruptCallbackRegister(SW1_PIN, controlLED, (uintptr_t)NULL); 
                                            //B|[gω荞݂̃R[obN֐controlLED()ݒ肵܂B
    GPIO_PinInterruptEnable(SW1_PIN);       //RB0sւ̕ω݂Lɂ܂B
//    //@WX^ڐ   
//    CNENBbits.CNIEB0 = 1;   //RB0|[gω: Cl[u  //I/O Ports Control Registers 
//    // ȉAGPIO_Initialize ()̒łݒ肳Ă
//    INTCONbits.MVEC = 1;    //}`xN^䃂[h    //Harmonył̓ftHgݒH
//    CNCONBbits.ON = 1;      //B|[gωݐ䃌WX^F ON  //CHANGE NOTICE CONTROL FOR PORTB REGISTER
//    IEC3bits.CNBIE = 1;     //B|[gω: Cl[u 

    while ( true )
    {
    }

    /* Execution should not come here during normal operation */

    return ( EXIT_FAILURE );

}


/*******************************************************************************
 End of File
*/

